HPE Greenlake For Object Storage REST APIs
API reference
/- Apply policy to existing user or group in HPE Alletra Storage MP X10000 ObjectStore
Get all access policies for HPE Alletra Storage MP X10000 ObjectStore
Create new access policy for HPE Alletra Storage MP X10000 ObjectStore
Delete HPE Alletra Storage MP X10000 ObjectStore access policy
Get single HPE Alletra Storage MP X10000 ObjectStore access policy
Update HPE Alletra Storage MP X10000 ObjectStore access policy
Apply policy to existing...
HPE Greenlake For Object Storage REST APIs (1.0.0)
Download OpenAPI description
Overview
License
Languages
Servers
https://eu1.data.cloud.hpe.com/
https://us1.data.cloud.hpe.com/
https://jp1.data.cloud.hpe.com/
Mock server
https://developer.greenlake.hpe.com/_mock/docs/greenlake/services/object-storage/public/openapi/object-storage-latest/v1/object-storage-api/
Query
The offset of the first item in the collection to return
Default 0
Example: offset=5
A query to retrieve only the specified parameters. Use . to denote nested fields.
Example: select=id
A list of properties defining the sort order. This takes a single property name followed by the direction to sort in, separated by a space. The supported properties are id, systemUid and generation. If not specified, the default behaviour is to sort by generation. The supported directions are asc and desc for ascending and descending respectively.
Default "generation desc"
Example: sort=id desc
- https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies
- https://us1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies
- https://jp1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/object-storage/public/openapi/object-storage-latest/v1/object-storage-api/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/8UW0002928/access-policies \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "count": 0, "offset": 0, "total": 0, "items": [ { … } ] }
- https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies
- https://us1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies
- https://jp1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/object-storage/public/openapi/object-storage-latest/v1/object-storage-api/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X POST \
https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/8UW0002928/access-policies \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"name": "NewAccessPolicy1",
"statement": [
{
"action": [
"string"
],
"effect": "ALLOW",
"resource": [
"string"
]
}
],
"version": "2012-10-17"
}'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }
- https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies/{policyId}
- https://us1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies/{policyId}
- https://jp1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies/{policyId}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/object-storage/public/openapi/object-storage-latest/v1/object-storage-api/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies/{policyId}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X DELETE \
https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/8UW0002928/access-policies/policy1 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }
- https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies/{policyId}
- https://us1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies/{policyId}
- https://jp1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies/{policyId}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/object-storage/public/openapi/object-storage-latest/v1/object-storage-api/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies/{policyId}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/8UW0002928/access-policies/policy1 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "commonResourceAttributes": { "cloudState": "CONNECTED", "errCode": "E01", "errMessage": "This storage system is not actively monitored in the cloud portal. Data Services Cloud Console proactively disabled monitoring and management of storage system with serial number {systemId} for sending excessive cloud events or for not responding to requests." }, "customerId": "fc5f41652a53497e88cdcebc715cc1sd", "generation": 0, "id": "123456", "name": "testPolicy", "statement": [ { … } ], "systemUid": "2FF70002AC0263D0", "type": "access-policy", "version": "2012-10-17" }
Bodyapplication/jsonrequired
- https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies/{policyId}
- https://us1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies/{policyId}
- https://jp1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies/{policyId}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/object-storage/public/openapi/object-storage-latest/v1/object-storage-api/object-storage/v1/devtype7-storage-systems/{systemId}/access-policies/{policyId}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X PUT \
https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/8UW0002928/access-policies/policy1 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"statement": [
{
"action": [
"string"
],
"effect": "ALLOW",
"resource": [
"string"
]
}
],
"version": "2012-10-17"
}'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }
- https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/apply-policy
- https://us1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/apply-policy
- https://jp1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/apply-policy
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/object-storage/public/openapi/object-storage-latest/v1/object-storage-api/object-storage/v1/devtype7-storage-systems/{systemId}/apply-policy
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X PUT \
https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/8UW0002928/apply-policy \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"name": "NewAccessPolicy1",
"policies": [
"string"
],
"type": "USER"
}'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }